Subject: Office of the Provost Updates: Week of 2.03.25
From: UW Provost <[email-masked]>
To: All Employees <[email-masked]>
Date: Fri, 7 Feb 2025 02:29:34 +0000

February 6 | 2025

Dear Colleagues,
As debates continue nationwide and in Cheyenne related to presidential executive orders and legislation that might affect higher education, we know there remains uncertainty and concern in our community. I reiterate President Seidel’s recent campus message: We are working hard to address issues that may impact our students, faculty, and staff. The situation is dynamic and is likely to change. We’re following the developing issues closely and providing input when appropriate. Regarding federal issues that might affect our research enterprise, Vice President Chitnis continues to update this webpage<https://www.uwyo.edu/research/support-and-resources/federal-funding-updates.html> to provide information and guidance.

Below are dates and locations to upcoming town hall meetings for faculty, staff, and students, hosted by President Seidel, which will provide opportunities to ask questions:

  *   Staff Town Hall - 2/19/2025: 4-5 pm - Union West Ballroom
  *   Student Town Hall - 2/24/2025: 6-7 pm - Union Programming Space
  *   Faculty Town Hall - 2/26/2025: 4-5 pm - Union Family Room
As did President Seidel, we reaffirm that UW is a place where all are welcome and can succeed.
Nominations are requested for the annual Ellbogen, Humphrey, Hollon, and Laramigo faculty awards. You can learn more about the process here<https://www.uwyo.edu/acadaffairs/academic-personnel/awards/faculty/index.html>, with nomination packets due February 28th. A big thank you to the Faculty Recognition Committee for their dedication and time in reviewing the nomination packets and recommending faculty for these awards:

  *   Jamie Snyder
  *   Macenzie Festa
  *   Courtney McKim
  *   Ann (Nancy) Peck
  *   Jeremy Vandiver
  *   Noah Novogrodsky
  *   David Krueger
  *   Li Li
  *   Meg van Ballen-Wood

Last Saturday, I attended the Wyoming National Guard reception, hosted by Governor Gordon.  It was an inspiring event and I was able to make connections with many folks in the Wyoming National Guard.
I’m heading to Cheyenne tomorrow morning to attend the Wyoming Community College Commission meeting. On the agenda is the topic of the applied baccalaureate and the draft rule that will provide an opportunity for the expansion of applied baccalaureates offered by our community college partners. I am looking forward to the dialogue and will provide an update as this discussion continues.

Take care and enjoy the weekend.

J. Scott Turpen
Interim Provost
Phone: (307) 766-6476  Email: [email-masked]<mailto:[email-masked]>

University of Wyoming
1000 East University Avenue Laramie, WY, 82071